Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.client
Class ClientResponse

    java.lang.Object
      com.sun.jersey.api.client.ClientResponse

    public abstract class ClientResponse

extends java.lang.Object

A client (in-bound) HTTP response.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`protected static javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<java.util.Date>` | `dateDelegate`
`protected static javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.EntityTag>` | `entityTagDelegate`

Constructor Summary
`ClientResponse()`

Method Summary
`java.util.List<javax.ws.rs.core.NewCookie>` | `getCookies()` Get the list of cookies.
`abstract
`<T> T`
` | `getEntity(java.lang.Class<T> c)` Get the entity of the response.
`abstract
`<T> T`
` | `getEntity(GenericType<T> gt)` Get the entity of the response.
`abstract java.io.InputStream` | `getEntityInputStream()` Get the input stream of the response.
`javax.ws.rs.core.EntityTag` | `getEntityTag()` Get the entity tag.
`java.lang.String` | `getLanguage()` Get the language.
`java.util.Date` | `getLastModified()` Get the last modified date.
`java.net.URI` | `getLocation()` Get the location.
`abstract javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String>` | `getMetadata()` Get the HTTP metadata
`abstract java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()` Get a list of response properties.
`abstract javax.ws.rs.core.Response.Status` | `getResponseStatus()` Get the status code.
`abstract int` | `getStatus()` Get the status code.
`javax.ws.rs.core.MediaType` | `getType()` Get the media type of the response
`abstract boolean` | `hasEntity()`
`abstract void` | `setEntityInputStream(java.io.InputStream in)` Set the input stream of the response.
`abstract void` | `setResponseStatus(javax.ws.rs.core.Response.Status status)` Set the status code.
`abstract void` | `setStatus(int status)` Set the status code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityTagDelegate

    protected static final javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<javax.ws.rs.core.EntityTag> entityTagDelegate

### dateDelegate

    protected static final javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate<java.util.Date> dateDelegate

Constructor Detail

### ClientResponse

    public ClientResponse()

Method Detail

### getProperties

    public abstract java.util.Map<java.lang.String,java.lang.Object> getProperties()

  Get a list of response properties.

  Returns:
    the list of response properties.

### getStatus

    public abstract int getStatus()

  Get the status code.

  Returns:
    the status code.

### setStatus

    public abstract void setStatus(int status)

  Set the status code.

  Parameters:
    `status` - the status code.

### getResponseStatus

    public abstract javax.ws.rs.core.Response.Status getResponseStatus()

  Get the status code.

  Returns:
    the status code, or null if the underlying status code was set using the method `setStatus(int)` and there is no mapping between the the integer value and the Response.Status enumeration value.

### setResponseStatus

    public abstract void setResponseStatus(javax.ws.rs.core.Response.Status status)

  Set the status code.

  Parameters:
    `status` - the status code.

### getMetadata

    public abstract javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String> getMetadata()

  Get the HTTP metadata

  Returns:
    the HTTP metadata.

### hasEntity

    public abstract boolean hasEntity()

  Returns:
    true if there is an entity present in the response.

### getEntityInputStream

    public abstract java.io.InputStream getEntityInputStream()

  Get the input stream of the response.

  Returns:
    the input stream of the response, otherwise null if no entity is present.

### setEntityInputStream

    public abstract void setEntityInputStream(java.io.InputStream in)

  Set the input stream of the response.

  Parameters:
    `in` - the input stream of the response.

### getEntity

    public abstract <T> T getEntity(java.lang.Class<T> c)
                         throws java.lang.IllegalArgumentException

  Get the entity of the response.

  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the entity.
  Returns:
    an instance of the type `c`.
  Throws:
    `java.lang.IllegalArgumentException`

### getEntity

    public abstract <T> T getEntity(GenericType<T> gt)
                         throws java.lang.IllegalArgumentException

  Get the entity of the response.

  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the entity.
  Returns:
    an instance of the type represented by the generic type.
  Throws:
    `java.lang.IllegalArgumentException`

### getType

    public javax.ws.rs.core.MediaType getType()

  Get the media type of the response

  Returns:
    the media type.

### getLocation

    public java.net.URI getLocation()

  Get the location.

  Returns:
    the location.

### getEntityTag

    public javax.ws.rs.core.EntityTag getEntityTag()

  Get the entity tag.

  Returns:
    the entity tag.

### getLastModified

    public java.util.Date getLastModified()

  Get the last modified date.

  Returns:
    the last modified date.

### getLanguage

    public java.lang.String getLanguage()

  Get the language.

  Returns:
    the language.

### getCookies

    public java.util.List<javax.ws.rs.core.NewCookie> getCookies()

  Get the list of cookies.

  Returns:
    the cookies.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.